## libtiltstick 1.0-3

=== Makefile ===
#
# Makefile for tiltstick library
# This also installs the udev rule necessary for access to the event interface
#

MAJOR = 1
MINOR = 0

LIB = libtiltstick
STLIB = $(LIB).a
SHLIB = $(LIB).so
HDRDIR = /usr/include
LIBDIR = /usr/lib

CFLAGS = -fno-builtin -g -c -W -Wreturn-type -Wcomment
OBJS = tiltstick.o

all: static shared

.c.o:
	$(CC) $(INCS) $(CFLAGS) -c -o$@ $<

static: $(STLIB)
shared: $(SHLIB).$(MAJOR).$(MINOR)

$(STLIB): $(OBJS)
	rm -f $(STLIB)
	ar rcv $(STLIB) $(OBJS)
	-ranlib $(STLIB)

$(SHLIB).$(MAJOR).$(MINOR): $(OBJS)
	rm -f $(SHLIB)
	gcc -shared -Wl,-soname,$(SHLIB).$(MAJOR) -o $(SHLIB).$(MAJOR).$(MINOR) $(OBJS)

tiltstick.o: tiltstick.h

install: $(STLIB)
	install -d $(DESTDIR)/$(LIBDIR)
	install $(STLIB) $(SHLIB).$(MAJOR).$(MINOR) $(DESTDIR)/$(LIBDIR)
	install -d $(DESTDIR)/$(HDRDIR)
	install tiltstick.h $(DESTDIR)/$(HDRDIR)
	install -d $(DESTDIR)/etc/udev/rules.d
	install tiltstick.rules $(DESTDIR)/etc/udev/rules.d

clean:
	rm -f *.[oa] *~ $(SHLIB) $(STLIB)

=== debian/changelog ===
libtiltstick (1.0-3) unstable; urgency=low

  * API change for any axis number
  * prevent C++ name mangling

 -- Till Harbaum <Till@Harbaum.org>  Wed, 12 Mar 2008 08:23:13 +0100

libtiltstick (1.0-2) unstable; urgency=low

  * Support for tiltstick buttons

 -- Till Harbaum <Till@Harbaum.org>  Tue, 11 Mar 2008 15:23:57 +0100

libtiltstick (1.0-1) unstable; urgency=low

  * Initial release

 -- Till Harbaum <Till@Harbaum.org>  Mon, 24 Dec 2007 13:35:42 +0100

=== debian/control ===
Source: libtiltstick
Priority: extra
Maintainer: Till Harbaum <till@harbaum.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libtiltstick-dev
Section: libdevel
Architecture: any
Depends: libtiltstick1 (= ${Source-Version})
Description: Development files to access tiltstick under maemo
 These files are required to develop software accessing the 
 tiltstick from user space under Maemo.

Package: libtiltstick1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to access tiltstick under maemo
 This library is required to access the tiltstick from
 user space under Maemo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

#	cp $(CURDIR)/debian/tmp/usr/lib/* $(CURDIR)/debian/libtiltstick1/usr/lib

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
